> For the complete documentation index, see [llms.txt](https://developers.dforce.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.dforce.network/lend.md).

# Lending Protocols

- [Yield Markets](https://developers.dforce.network/lend/dtoken.md): dToken is an interest-bearing aggregator, representing a pro-rata claim of a specific ERC20 token plus yields earned.
- [Architecture](https://developers.dforce.network/lend/dtoken/architecture.md): dToken's architectures of smart contracts.
- [Modules](https://developers.dforce.network/lend/dtoken/modules.md): dToken's core modules of smart contracts.
- [Contracts](https://developers.dforce.network/lend/dtoken/contracts.md): Deployed contracts in Ethereum Mainnet and Binance Smart Chain.
- [Security](https://developers.dforce.network/lend/dtoken/security.md): Audited by several top security firms
- [Interface](https://developers.dforce.network/lend/dtoken/interface.md): dToken contract is fully compatible with ERC20 standard, other interfaces are descripted here.
- [Lending & Synthetic Assets](https://developers.dforce.network/lend/lend-and-synth.md): Synthetic multi-currency protocol build on top of the General lending protocol
- [iTokens](https://developers.dforce.network/lend/lend-and-synth/itokens.md): Interest bearing tokens to interact with Lending & Synthetic Protocol.
- [Controller](https://developers.dforce.network/lend/lend-and-synth/controller.md)
- [iMSDTokens](https://developers.dforce.network/lend/lend-and-synth/msdtokens.md)
- [MSDController](https://developers.dforce.network/lend/lend-and-synth/msdcontroller.md)
- [Price Oracle](https://developers.dforce.network/lend/lend-and-synth/oracle.md): We use ChainLink's decentralized oracles for the primary price feed, and use dForce oracle as a backup in case of price from ChainLink has significant deviation from markets.
- [Reward Distribution](https://developers.dforce.network/lend/lend-and-synth/distribution.md)
- [Security](https://developers.dforce.network/lend/lend-and-synth/security.md)
- [Deployed Contracts](https://developers.dforce.network/lend/lend-and-synth/deployed-contracts.md)
- [Glossary](https://developers.dforce.network/lend/lend-and-synth/glossary.md)
- [Vaults](https://developers.dforce.network/lend/vaults.md): Vaults can be tailor-made to support different collaterals and use cases with different risk profiles.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.dforce.network/lend.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
